<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Changes to synch up with Java3e:  - deleted JavaElement, BodyElement which didn't add anything useful  - deleted NestedClass and the association which described nesting, contents can be used instead  - deleted extends/extendedBy which is replaced with MOF subtype/supertype  - deleted the clumsy main diagram  - moved the MOF inheritance details to the MOF binding diagram  - deleted  final  on JavaParameter, don't know what that was supposed to be  - deleted the Category junk  - changed the Block-typed attributes on Field, Method, Initializer to be associations to Block    Outstanding questions/issues:  - JavaParameterKind should go away if we get the base Parameter kind fixed up">
<meta name="KeyWords" content="java,Package java,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>&lt;&lt;metamodel&gt;&gt;&nbsp;java</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>Changes&nbsp;to&nbsp;synch&nbsp;up&nbsp;with&nbsp;Java3e:
<BR>-&nbsp;deleted&nbsp;JavaElement,&nbsp;BodyElement&nbsp;which&nbsp;didn't&nbsp;add&nbsp;anything&nbsp;useful
<BR>-&nbsp;deleted&nbsp;NestedClass&nbsp;and&nbsp;the&nbsp;association&nbsp;which&nbsp;described&nbsp;nesting,&nbsp;contents&nbsp;can&nbsp;be&nbsp;used&nbsp;instead
<BR>-&nbsp;deleted&nbsp;extends/extendedBy&nbsp;which&nbsp;is&nbsp;replaced&nbsp;with&nbsp;MOF&nbsp;subtype/supertype
<BR>-&nbsp;deleted&nbsp;the&nbsp;clumsy&nbsp;main&nbsp;diagram
<BR>-&nbsp;moved&nbsp;the&nbsp;MOF&nbsp;inheritance&nbsp;details&nbsp;to&nbsp;the&nbsp;MOF&nbsp;binding&nbsp;diagram
<BR>-&nbsp;deleted&nbsp;"final"&nbsp;on&nbsp;JavaParameter,&nbsp;don't&nbsp;know&nbsp;what&nbsp;that&nbsp;was&nbsp;supposed&nbsp;to&nbsp;be
<BR>-&nbsp;deleted&nbsp;the&nbsp;Category&nbsp;junk
<BR>-&nbsp;changed&nbsp;the&nbsp;Block-typed&nbsp;attributes&nbsp;on&nbsp;Field,&nbsp;Method,&nbsp;Initializer&nbsp;to&nbsp;be&nbsp;associations&nbsp;to&nbsp;Block
<BR>
<BR>Outstanding&nbsp;questions/issues:
<BR>-&nbsp;JavaParameterKind&nbsp;should&nbsp;go&nbsp;away&nbsp;if&nbsp;we&nbsp;get&nbsp;the&nbsp;base&nbsp;Parameter&nbsp;kind&nbsp;fixed&nbsp;up
<BR></font><BR><BR>
</body>
</html>
